Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 11473027: [Android] Should not update IME status when gesture needs to be disambiguated (Closed)

Created:
7 years, 9 months ago by trchen
Modified:
6 years, 11 months ago
CC:
chromium-reviews, joi+watch-content_chromium.org, darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

[Android] Should not update IME status when gesture needs to be disambiguated When a gesture needs to be disambiguated, WebKit doesn't update cursor focus. We added an extra status for didHandleGestureEvent(), so we can distinguish the case whether the event is actually delivered to the web page or cancelled. In the cancelled case we should not update the IME status. WebKit CL: https://webkit.org/b/104427 BUG=163439 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=178438

Patch Set 1 #

Patch Set 2 : Rebase + move from RenderViewImpl to RenderWidget #

Total comments: 1

Patch Set 3 : change API again in https://bugs.webkit.org/show_bug.cgi?id=107605 #

Total comments: 1

Patch Set 4 : remove OVERRIDE on RenderWidget::didHandleGestureEvent #

Patch Set 5 : Add ApiCompatibilityUtils.getAuthToken #

Patch Set 6 : Add ApiCompatibilityUtils.getAuthToken #

Patch Set 7 : Add prerendering utilities to profile_android #

Unified diffs Side-by-side diffs Delta from patch set Stats (+53 lines, -0 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/profiles/Profile.java View 1 2 3 4 5 6 1 chunk +20 lines, -0 lines 0 comments Download
M chrome/browser/profiles/profile_android.h View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/profiles/profile_android.cc View 1 2 3 4 5 6 3 chunks +32 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
trchen
Hello James, this is the chromium-side change for https://bugs.webkit.org/show_bug.cgi?id=104427 Do you think this looks okay? ...
7 years, 8 months ago (2013-01-12 01:14:13 UTC) #1
trchen
Ping dear reviewer. Does this patch look reasonable to you? :)
7 years, 8 months ago (2013-01-14 22:13:45 UTC) #2
trchen
Hello, can someone take a quick look at this? This patch reflects the prototype change ...
7 years, 8 months ago (2013-01-15 22:51:03 UTC) #3
darin (slow to review)
https://codereview.chromium.org/11473027/diff/2001/content/renderer/render_widget.cc File content/renderer/render_widget.cc (right): https://codereview.chromium.org/11473027/diff/2001/content/renderer/render_widget.cc#newcode1965 content/renderer/render_widget.cc:1965: if (event_status == EventStatusCancelled) why did you plumb an ...
7 years, 8 months ago (2013-01-15 23:06:03 UTC) #4
trchen
On 2013/01/15 23:06:03, darin wrote: > https://codereview.chromium.org/11473027/diff/2001/content/renderer/render_widget.cc > File content/renderer/render_widget.cc (right): > > https://codereview.chromium.org/11473027/diff/2001/content/renderer/render_widget.cc#newcode1965 > ...
7 years, 8 months ago (2013-01-15 23:28:52 UTC) #5
trchen
Hi Darin, James seems to very busy this week. Could you help to approve this ...
7 years, 8 months ago (2013-01-17 01:44:14 UTC) #6
trchen
Dear reviewers, have time to take a look? Thanks!
7 years, 8 months ago (2013-01-17 22:31:07 UTC) #7
darin (slow to review)
On 2013/01/15 23:28:52, trchen wrote: > On 2013/01/15 23:06:03, darin wrote: > > > https://codereview.chromium.org/11473027/diff/2001/content/renderer/render_widget.cc ...
7 years, 8 months ago (2013-01-19 00:08:15 UTC) #8
trchen
On 2013/01/19 00:08:15, darin wrote: > On 2013/01/15 23:28:52, trchen wrote: > > On 2013/01/15 ...
7 years, 8 months ago (2013-01-19 00:30:38 UTC) #9
darin (slow to review)
On Fri, Jan 18, 2013 at 4:30 PM, <trchen@chromium.org> wrote: > On 2013/01/19 00:08:15, darin ...
7 years, 8 months ago (2013-01-19 16:26:41 UTC) #10
trchen
New CL uploaded. Let's do the quick "bool event_cancelled" change for now. Will try if ...
7 years, 8 months ago (2013-01-23 01:56:03 UTC) #11
darin (slow to review)
LGTM https://codereview.chromium.org/11473027/diff/19001/content/renderer/render_widget.h File content/renderer/render_widget.h (right): https://codereview.chromium.org/11473027/diff/19001/content/renderer/render_widget.h#newcode145 content/renderer/render_widget.h:145: bool event_cancelled) OVERRIDE; NOTE: We normally do not ...
7 years, 8 months ago (2013-01-23 06:58:22 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/trchen@chromium.org/11473027/25001
7 years, 8 months ago (2013-01-23 22:31:21 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/trchen@chromium.org/11473027/25001
7 years, 8 months ago (2013-01-23 23:28:41 UTC) #14
commit-bot: I haz the power
7 years, 8 months ago (2013-01-24 00:36:58 UTC) #15
Message was sent while issue was closed.
Change committed as 178438

Powered by Google App Engine
This is Rietveld 408576698